%define name btnx-config
%define version 0.4.9
%define release %mkrel 1

Summary:        GUI configuration tool for btnx
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          System/Configuration/Hardware
License:        GPLv2+
URL:            http://www.ollisalonen.com/btnx/
Source:         http://www.ollisalonen.com/btnx/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libglade2.0_0-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  yelp
Requires:       btnx
Requires:       usermode >= 1.37

%description
btnx-config is a graphical user interface for btnx


%prep
%setup -q
sed -e 's|^GenericName.*$||g' -e '/^$/d' -i data/%{name}.desktop.template

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Hardware" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

sed 's|^Exec=.*$|Exec=%{_bindir}/%{name}|g' -i $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 data/btnx.png %{buildroot}%_miconsdir/btnx.png
convert %{buildroot}%_miconsdir/btnx.png -resize 16x16 %{buildroot}%_miconsdir/btnx.png
install -m 0644 data/btnx.png %{buildroot}%_iconsdir/btnx.png
convert %{buildroot}%_iconsdir/btnx.png -resize 32x32 %{buildroot}%_iconsdir/btnx.png
install -m 0644 data/btnx.png %{buildroot}%_liconsdir/btnx.png
convert %{buildroot}%_liconsdir/btnx.png -resize 48x48 %{buildroot}%_liconsdir/btnx.png

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}
USER=root
PROGRAM=/usr/sbin/btnx-config
SESSION=true
FALLBACK=true
EOF


mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util

EOF

mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_menus}
%{update_desktop_database} 

%postun
%{clean_menus} 
%{clean_desktop_database} 


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING-DOCS NEWS
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/pixmaps/btnx.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/omf/%{name}/*.omf
%_miconsdir/btnx.png
%_iconsdir/btnx.png
%_liconsdir/btnx.png

%changelog
* Tue Jul 14 2009 slick50 <lxgator@gmail.com> 0.4.9-1pclos2009
- initial pkg
